@extends('app')

@section('content')
<!doctype html>
<html lang="en">
    <body>
        <main>
            <div class="site-section">
                <div class="container">
                    <div class="row">
                        @extends('host.layout.sidebar')
                        <div class="col-md-9">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <a class="btn btn-success btn-sm" href="{{ route('host.creategame') }}">
                                            <i class="fas fa-plus-circle"></i> Add Game Details
                                        </a>
                                        
                                    </div>
                                    <br><br>
                                </div>
                                <table id="example1" class="table table-bordered table-striped">
                                    <thead>
                                        <tr>
                                            <th>Company Name</th>
                                            <th>Location</th>
                                            <th>Game Code</th>
                                            <th>Status</th>
                                            <th>Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($games as $zon)
                                            <tr>
                                                <td>{{ $zon->companyname }}</td>
                                                <td>{{ $zon->location }}</td>
                                                <td>{{ $zon->gameCode }}</td>
                                                <td>
                                                    <?php if ($zon->status == 1) {
                                                        echo "Pending";
                                                    } else if ($zon->status == 2) {
                                                        echo "Start";
                                                    } else if ($zon->status == 3) {
                                                        echo "In-progress";
                                                    } else if ($zon->status == 4) {
                                                        echo "Completed";
                                                    } ?>
                                                </td>
                                                <td>{{ date('d M, Y', strtotime($zon->gameDate)) }}</td>
                                                <td>
                                                    <?php 
                                                    if ($zon->status == 3) { 
                                                    ?>
                                                    <a class="btn btn-danger btn-xs" href="{{ route('host.endgame', $zon->id) }}">End</a>
                                                    <?php 
                                                    } else if ($zon->status == 1) { 
                                                    ?>
                                                    <a class="btn btn-success btn-xs" href="{{ route('host.startgame', $zon->id) }}">Start</a>
                                                    
                                                        <a class="btn btn-info btn-xs" href="{{ route('host.editgame', $zon->id) }}">Edit</a>
                                                    <?php } ?>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </main>
    </body>
</html>
@endsection
