@extends('app')

@section('content')
<style>
    .stretch-image {
        width: 100% !important;
        height: auto !important;
        object-fit: cover !important;
    }

    .mobile-center {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        min-height: 100vh;
    }
</style>

<div class="container mt-4">
    <div class="row" style="height: 30vh;">
        <div class="col-12">
            @include('gameheader')
        </div>
    </div>
    <div class="row" style="height: auto;">
        <img src="{{ asset('images/q1.jpg') }}" class="w-100 stretch-image" alt="Image">
    </div>
    <form method="POST" action="{{ route('q1.submit') }}">
        @csrf
        <input type="hidden" name="name" value="{{ $player->name }}">
        <input type="hidden" name="gameid" value="{{ $player->gameid }}">
        <div class="row mt-4">
            <div class="col-12">
                <label for="bidInput">Your Bid for this round (Round 1) *</label>
            </div>
        </div>
        <div class="row mt-2">
            <div class="col-12">
                <input type="number" id="bidInput" name="bidInput" class="form-control" required>
            </div>
        </div>
        <div class="row mt-2">
            <div class="col-12">
                <div id="timer" class="text">Time Elapsed: 00:00:00</div>
            </div>
        </div>
        <div class="row mt-3">
            <div class="col-md-12 col-6">
                <button type="submit" class="btn btn-success btn-block ml-md-2" style="width: 100%;">Next</button>
            </div>
        </div>
    </form>
</div>
<script>
    function updateTimer() {
        const startTime = new Date("{{ $player->startdatetime }}");
        const currentTime = new Date();
        const elapsedTime = new Date(currentTime - startTime);

        const hours = String(elapsedTime.getUTCHours()).padStart(2, '0');
        const minutes = String(elapsedTime.getUTCMinutes()).padStart(2, '0');
        const seconds = String(elapsedTime.getUTCSeconds()).padStart(2, '0');

        const timerElement = document.getElementById('timer');
        timerElement.textContent = `Time Elapsed: ${hours}:${minutes}:${seconds}`;
    }
    updateTimer();
    setInterval(updateTimer, 1000);
</script>
<div class="d-none d-sm-block"></div>
<div class="d-block d-sm-none mobile-center">
</div>
@endsection
