@extends('app')

@section('content')
<style>
    .stretch-image {
        width: 100% !important;
        height: 100% !important;
        object-fit: cover !important;
    }
</style>
<div class="container mt-4">
    <div class="row" style="height: 5vh;">
        <div class="col-12">
            @include('gameheader')
        </div>
    </div>
    <div class="row" style="height: 40vh;">
        <img src="{{ asset('images/q4.jpg') }}" class="w-100 h-100 stretch-image" alt="Image">
    </div>
    <form method="POST" action="{{ route('q4.submit') }}" id="myForm">
        @csrf
        <input type="hidden" name="name" value="{{ $player->name }}">
        <input type="hidden" name="gameid" value="{{ $player->gameid }}">
        <div class="row mt-4">
            <div class="col-12">
                <label for="bidInput">Your Bid for this round (Round 4) *</label>
            </div>
        </div>
        <div class="row mt-2">
            <div class="col-12">
                <input type="number" id="bidInput" name="bidInput" class="form-control" required>
            </div>
        </div>
        <div class="row mt-2">
            <div class="col-12">
                <div id="timer" class="text">Time Elapsed: 00:00:00</div>
            </div>
        </div>
        <div class="row mt-3">
            <div class="col-md-3 col-6">
                <a href="{{ route('player.q3') }}" class="btn btn-danger btn-block" style="width: 100%;">Back</a>
            </div>
            <div class="col-md-9 col-6">
                <button type="button" class="btn btn-success btn-block ml-md-2" style="width: 100%;" onclick="confirmSubmit()">Next</button>
            </div>
        </div>
    </form>
</div>
<script>
    function updateTimer() {
        const startTime = new Date("{{ $player->startdatetime }}");
        const currentTime = new Date();
        const elapsedTime = new Date(currentTime - startTime);

        const hours = String(elapsedTime.getUTCHours()).padStart(2, '0');
        const minutes = String(elapsedTime.getUTCMinutes()).padStart(2, '0');
        const seconds = String(elapsedTime.getUTCSeconds()).padStart(2, '0');

        const timerElement = document.getElementById('timer');
        timerElement.textContent = `Time Elapsed: ${hours}:${minutes}:${seconds}`;
    }
    updateTimer();
    setInterval(updateTimer, 1000);
</script>
<script>
    function confirmSubmit() {
        
        if (confirm("Are you sure you want to submit this form?")) 
        {
        document.getElementById("myForm").submit();
        }
        else {
        
        }
    }
</script>
@endsection